#include <iostream>

using namespace std;

int main()
{
    int N,i,j;
    cin>>N;
    for(i=1,j=2*N;N/2+N<j;i++,j--)
        if(N%2!=0 && i==(N+1)/2)
        cout<<j;
        else
        cout<<j<<i;
    for(i=N/2+1,j=2*N-(N+1)/2;i<=j;i++,j--)
        if(N%2!=0 && i==N)
        cout<<i;
        else
        cout<<i<<j;
    return 0;
}